compact1, compact2, compact3
javax.net.ssl

## Class StandardConstants

- java.lang.Object
- - javax.net.ssl.StandardConstants

-     public final class StandardConstants
      extends Object

  Standard constants definitions
  Since:
    1.8

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SNI_HOST_NAME` The "host_name" type representing of a DNS hostname (see `SNIHostName`) in a Server Name Indication (SNI) extension.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SNI_HOST_NAME

          public static final int SNI_HOST_NAME

      The "host_name" type representing of a DNS hostname (see `SNIHostName`) in a Server Name Indication (SNI) extension.

      The SNI extension is a feature that extends the SSL/TLS protocols to indicate what server name the client is attempting to connect to during handshaking. See section 3, "Server Name Indication", of TLS Extensions (RFC 6066).

      The value of this constant is 0.

      See Also:
        `SNIServerName`, `SNIHostName`, Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.